Product Form Features v3
CRUD operations for product form features. Product Form Features specify the features of a product form, e.g. color of the spine of a printed book or accessibility details for ebooks.
Endpoints
GET /resource/v3/products/{product_id}/form_features
List Product Form Features
Input parameters
Query parameters
| Parameter | Type | Default | Nullable | Description |
|---|---|---|---|---|
product_type |
string | No | Filter by product_type ('ebook', 'book', 'audiobook', 'nonbook') | |
type |
string | No | Filter by ProductFormFeatureType (ONIX Codelist 79) |
Responses
[
{
"_id": 10,
"description": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n",
"product_type": "ebook",
"type": "09",
"value": "00"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ProductFormFeature"
}
}
POST /resource/v3/products/{product_id}/form_features
Create a Product Form Feature
Input parameters
Path parameters
| Parameter | Type | Default | Nullable | Description |
|---|---|---|---|---|
product_id |
string | No |
Request body
{
"_id": 10,
"description": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n",
"product_type": "ebook",
"type": "09",
"value": "00"
}
Schema of the request body
{
"type": "object",
"properties": {
"_id": {
"type": "integer",
"example": 10
},
"description": {
"type": "string",
"example": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n"
},
"product_type": {
"type": "string",
"example": "ebook"
},
"type": {
"type": "string",
"description": "ProductFormFeatureType from ONIX Codelist 79",
"example": "09"
},
"value": {
"type": "string",
"description": "ProductFormFeatureValue from ONIX (dependent on 'type')",
"example": "00"
}
},
"required": [
"type",
"value",
"product_type"
]
}
Responses
GET /resource/v3/products/{product_id}/form_features/{feature_id}
Get a Product Form Feature
Input parameters
Path parameters
| Parameter | Type | Default | Nullable | Description |
|---|---|---|---|---|
feature_id |
integer | No | ||
product_id |
string | No |
Responses
{
"_id": 10,
"description": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n",
"product_type": "ebook",
"type": "09",
"value": "00"
}
Schema of the response body
{
"type": "object",
"properties": {
"_id": {
"type": "integer",
"example": 10
},
"description": {
"type": "string",
"example": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n"
},
"product_type": {
"type": "string",
"example": "ebook"
},
"type": {
"type": "string",
"description": "ProductFormFeatureType from ONIX Codelist 79",
"example": "09"
},
"value": {
"type": "string",
"description": "ProductFormFeatureValue from ONIX (dependent on 'type')",
"example": "00"
}
},
"required": [
"type",
"value",
"product_type"
]
}
PUT /resource/v3/products/{product_id}/form_features/{feature_id}
Update a Product Form Feature
Input parameters
Path parameters
| Parameter | Type | Default | Nullable | Description |
|---|---|---|---|---|
feature_id |
integer | No | ||
product_id |
string | No |
Request body
{
"_id": 10,
"description": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n",
"product_type": "ebook",
"type": "09",
"value": "00"
}
Schema of the request body
{
"type": "object",
"properties": {
"_id": {
"type": "integer",
"example": 10
},
"description": {
"type": "string",
"example": "This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.\n"
},
"product_type": {
"type": "string",
"example": "ebook"
},
"type": {
"type": "string",
"description": "ProductFormFeatureType from ONIX Codelist 79",
"example": "09"
},
"value": {
"type": "string",
"description": "ProductFormFeatureValue from ONIX (dependent on 'type')",
"example": "00"
}
},
"required": [
"type",
"value",
"product_type"
]
}
Responses
DELETE /resource/v3/products/{product_id}/form_features/{feature_id}
Delete a Product Form Feature
Input parameters
Path parameters
| Parameter | Type | Default | Nullable | Description |
|---|---|---|---|---|
feature_id |
integer | No | ||
product_id |
string | No |
Responses
Schemas
ProductFormFeature
| Name | Type | Description | Example |
|---|---|---|---|
_id |
integer | 10 |
|
description |
string | This publication is generally accessible but there are no alternative texts for images. Images are described in detail in the surrounding text.
|
|
product_type |
string | ebook |
|
type |
string |
ProductFormFeatureType from ONIX Codelist 79 |
09 |
value |
string |
ProductFormFeatureValue from ONIX (dependent on 'type') |
00 |